#from core.settings import YOUR_ENV_VARIABLE
#print(YOUR_ENV_VARIABLE)
from tools.console import *
def friedman():
        clear()
        print("Test d'expression mathématique :\n")
        print(f"L'expression 7 + 3\u2076 = {7+3**6} --> est un nombre de Friedman")
        print(f"L'expression (3 + 4)\u2073 = {(3+4)**3} --> est un nombre de Friedman")
        print(f"L'expression 3\u2076 - 5 = {3**6-5} --> n'est pas un nombre de Friedman")
        print(f"L'expression (1 + 2\u2078) x 5 = {(1+2**8)*5} --> est un nombre de Friedman")
        print(f"L'expression (2 + 1\u2078)\u2077 = {(2+1**8)**7} --> est un nombre de Friedman")
        entrerContinuer()
        clear()
def predireOperation():
        clear()
        print("Prédire le résultat : opérations\n")
        print(f"Denivez le resultat de \n(1+2)**3 ")
        input("Appuyer sur entrer pour voir")
        print((1+2)**3)
        input("Appuyer sur entrer pour en deviner d'autres")
        clear()
        
        print("Prédire le résultat : opérations\n")
        print(f"Denivez le resultat de \n\"Da\" * 4 ")
        input("Appuyer sur entrer pour voir")
        print("Da"*4)
        input("Appuyer sur entrer pour en deviner d'autres")
        clear()
        
        print("Prédire le résultat : opérations\n")
        print(f"Denivez le resultat de \n\"Da\" + 3 ")
        input("Appuyer sur entrer pour voir")
        print("TypeError: can only concatenate str (not \"int\") to str")
        input("Appuyer sur entrer pour en deviner d'autres")
        clear()
        
        print("Prédire le résultat : opérations\n")
        print("Denivez le resultat de \n(\"Pa\"+\"La\") * 2 ")
        input("Appuyer sur entrer pour voir")
        print(("Pa"+"La") * 2)
        input("Appuyer sur entrer pour en deviner d'autres")
        clear()

        print("Prédire le résultat : opérations\n")
        print(f"Denivez le resultat de \n(\"Da\"*4) / 2 ")
        input("Appuyer sur entrer pour voir")
        print("TypeError: unsupported operand type(s) for /: 'str' and 'int'" )
        input("Appuyer sur entrer pour en deviner d'autres")
        clear()

        print("Prédire le résultat : opérations\n")
        print(f"Denivez le resultat de \n5/2 ")
        input("Appuyer sur entrer pour voir")
        print(5/2)
        input("Appuyer sur entrer pour en deviner d'autres")
        clear()

        print("Prédire le résultat : opérations\n")
        print(f"Denivez le resultat de \n5//2 ")
        input("Appuyer sur entrer pour voir")
        print(5//2)
        input("Appuyer sur entrer pour en deviner un dernier")
        clear()

        print("Prédire le résultat : opérations\n")
        print(f"Denivez le resultat de \n5%2 ")
        input("Appuyer sur entrer pour voir")
        print(5%2)
        entrerContinuer()
        clear()
def predireConversion():
        clear()
        print("Prédire le résultat : conversion\n")
        print(f"Denivez le resultat de \nstr(4) * int(\"3\") ")
        input("Appuyer sur entrer pour voir")
        print(str(4) * int("3"))
        input("Appuyer sur entrer pour en deviner un autre")
        clear()
        
        print("Prédire le résultat : conversion\n")
        print(f"Denivez le resultat de \nint(\"3\") + float(\"3.2\") ")
        input("Appuyer sur entrer pour voir")
        print(int("3") + float("3.2"))
        input("Appuyer sur entrer pour en deviner un autre")
        clear()

        print("Prédire le résultat : conversion\n")
        print(f"Denivez le resultat de \nstr(3) * float(\"3.2\")")
        input("Appuyer sur entrer pour voir")
        print("TypeError: can't multiply sequence by non-int of type 'float'")
        input("Appuyer sur entrer pour en deviner un autre")
        clear()

        print("Prédire le résultat : conversion\n")
        print(f"Denivez le resultat de \nstr(3/4) * 2")
        input("Appuyer sur entrer pour voir")
        print(str(3/4) * 2)
        entrerContinuer()
        clear()

        